# Interface VcsMapping

@Incubating public interface VcsMapping
A dependency mapping provided by a VCS repository.

Since:
  4.4

## Method Summary

Modifier and Type
Method
Description
`void`
`from(VersionControlSpec versionControlSpec)`
`ComponentSelector`
`getRequested()`
The requested dependency, before it is resolved.

## Method Details

### getRequested

ComponentSelector getRequested()
The requested dependency, before it is resolved. The requested dependency does not change even if there are multiple dependency substitution rules that manipulate the dependency metadata.

### from

void from(VersionControlSpec versionControlSpec)